repo/gentoo:master commit in: app-text/xapian-omega/

"Sam James" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786770013.06bbc6c88d1b35151efb67fe8a4b45b1a8efdffb.sam@gentoo>
commit:     06bbc6c88d1b35151efb67fe8a4b45b1a8efdffb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 04:57:31 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 05:00:13 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06bbc6c8

app-text/xapian-omega: add 2.1.0

Bug: https://bugs.gentoo.org/980873
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/xapian-omega/Manifest                  |  2 +
 app-text/xapian-omega/xapian-omega-2.1.0.ebuild | 62 +++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-text/xapian-omega/Manifest b/app-text/xapian-omega/Manifest
index 5b1e541fe752..0487052aa72c 100644
--- a/app-text/xapian-omega/Manifest
+++ b/app-text/xapian-omega/Manifest
@@ -7,3 +7,5 @@ DIST xapian-omega-1.4.32.tar.xz 589644 BLAKE2B 8127ae8a383ec95897b3502a23fadc15d
 DIST xapian-omega-1.4.32.tar.xz.asc 833 BLAKE2B ec56da40ba03eda301b0639fe9a3712e521bcdd5b6b6cf48fd1033a99d200b85b706ab7d8183d969421a995e90d5cff753bfe33e1c1c19c1bc38c64b79945b09 SHA512 d97e209373e1cb1a3f1a1f4bb0f442cb38e1a75703cf41fbe97274d3c51dc8b4bb17caa500f8118e9135f17cce603d792edef12955b9c9ab64915a43ebd426c4
 DIST xapian-omega-2.0.0.tar.xz 5823212 BLAKE2B 9db72f54664e12bc3b841b64e8c8f179bb24abb718a6c2f932c0eec27859c040ede7caeb7752dddacc0f787f571d3a27f623469e8a737e4ef9bec3219e245e2e SHA512 6fe80503156e85828610d1cf1f0cd1252d32b4a707d1391cb349fafa87cc7b642718d8ab19587291ada4ef1d5a087b11f2b5167a84cce4319ebad40a76fc4a6e
 DIST xapian-omega-2.0.0.tar.xz.asc 833 BLAKE2B acb20a67f080a20b606774df87ed09b6a9f2e9c6c44e6be25a76026c68cdb34266bfad7e329c17f97a7647f031831f6d205096968715dc6abf67c4622052d0d4 SHA512 e31f694513d22eefcd28c1cacd1250376159cdf3a11242c14d56602dc841c9f797b0e3f8de5123b6166d2e4a31f6886cb20009da377c50e8a6ea7c9ef80a7e97
+DIST xapian-omega-2.1.0.tar.xz 5834584 BLAKE2B d882d9eb8f11df8df74fa620e8eba390a926e6ede8367aacba956dab9e5b5a486ef302d99c875eb92b5a365ca879ee0f1d50592c9cebb57e36f4ddee8e4e55c1 SHA512 cede2b224171289c3e2247ac487bd7aedb7f85119df861712c7965994fb3ac117268073c642c60da8a50cb60fdac0bc226fd2ac3414e57578f23505f3e3851d8
+DIST xapian-omega-2.1.0.tar.xz.asc 833 BLAKE2B b851cfd90e1a02293110e7963eb0148bcefd90e358f908086ceb31dd2213c7a4d3e05a5c23a328916b2a7f981405f76eb3d7a9a132edf88bf8f329c220912627 SHA512 bae9fe7721c67e78384e71e117bd231b68f3a8fcf458f3122863881af861ffc2859ee64e6cfd0cf72c3de6a97ff045b9e72dea45886b8443d65f2ed071658500

diff --git a/app-text/xapian-omega/xapian-omega-2.1.0.ebuild b/app-text/xapian-omega/xapian-omega-2.1.0.ebuild
new file mode 100644
index 000000000000..8adf4fa20c6b
--- /dev/null
+++ b/app-text/xapian-omega/xapian-omega-2.1.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/ollybetts.asc
+inherit verify-sig
+
+DESCRIPTION="An application built on Xapian, consisting of indexers and a CGI search frontend"
+HOMEPAGE="https://xapian.org/"
+SRC_URI="
+	https://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz
+	verify-sig? ( https://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz.asc )
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# poppler, libebook, libgepub, tesseract, gmime, libarchive, libabw,
+# libcdr, libextractor (unpackaged), libmwaw, libreoffice are all automagic
+DEPEND="
+	app-arch/libarchive:=
+	app-office/libreoffice
+	>=app-text/libabw-0.1.2
+	app-text/libebook
+	>=app-text/libgepub-0.7
+	app-text/libmwaw
+	app-text/poppler[cairo]
+	app-text/tesseract:=
+	dev-lang/perl
+	dev-libs/gmime:3.0
+	dev-libs/libpcre2:=
+	~dev-libs/xapian-${PV}
+	media-libs/libcdr
+	sys-apps/file
+	virtual/zlib:=
+"
+RDEPEND="${DEPEND}"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-ollybetts )"
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}" install
+
+	# Protect /etc/omega.conf
+	echo "CONFIG_PROTECT=\"/etc/omega.conf\"" > "${T}"/20xapian-omega || die
+	doenvd "${T}"/20xapian-omega
+	dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
+
+	# Directory containing Xapian databases:
+	keepdir /var/lib/omega/data
+
+	# Directory containing OmegaScript templates:
+	keepdir /var/lib/omega/templates
+	mv "${S}"/templates/* "${ED}"/var/lib/omega/templates || die
+
+	# Directory to write Omega logs to:
+	keepdir /var/log/omega
+
+	# Directory containing any cdb files for the $lookup OmegaScript command:
+	keepdir /var/lib/omega/cdb
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.